> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get schedules for an inverter

> Endpoint to retrieve schedules for a specified inverter within a given time range.
    This endpoint is currently in beta release and may be subject to changes.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/schedules
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/schedules:
    get:
      tags:
        - User Solar Inverters
      summary: Get schedules for an inverter
      description: >-
        Endpoint to retrieve schedules for a specified inverter within a given
        time range.
            This endpoint is currently in beta release and may be subject to changes.
      operationId: >-
        integrations_api_api_v2_organizations_users_inverters_router_get_inverter_schedules
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the inverter belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the inverter belongs to
        - in: path
          name: inverter_id
          schema:
            description: The ID of the specified inverter
            format: uuid
            title: Inverter Id
            type: string
          required: true
          description: The ID of the specified inverter
        - in: query
          name: from_datetime
          schema:
            description: The start of the time range for the data
            format: date-time
            title: From Datetime
            type: string
          required: true
          description: The start of the time range for the data
        - in: query
          name: to_datetime
          schema:
            description: The end of the time range for the data
            format: date-time
            title: To Datetime
            type: string
          required: true
          description: The end of the time range for the data
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InverterSchedulesDataOutput'
      security:
        - OAuth2: []
components:
  schemas:
    InverterSchedulesDataOutput:
      properties:
        metadata:
          $ref: '#/components/schemas/InverterSchedulesMetadata'
        data:
          items:
            $ref: '#/components/schemas/InverterScheduleOutput'
          title: Data
          type: array
      required:
        - metadata
        - data
      title: InverterSchedulesDataOutput
      type: object
    InverterSchedulesMetadata:
      properties:
        requested_at:
          title: Requested At
          type: string
        query:
          $ref: '#/components/schemas/InverterSchedulesQueryMetadata'
        error:
          default: ''
          title: Error
          type: string
      required:
        - requested_at
        - query
      title: InverterSchedulesMetadata
      type: object
    InverterScheduleOutput:
      properties:
        time:
          anyOf:
            - type: string
            - type: 'null'
          title: Time
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
      title: InverterScheduleOutput
      type: object
    InverterSchedulesQueryMetadata:
      properties:
        org_id:
          title: Org Id
          type: string
        user_id:
          title: User Id
          type: string
        inverter_id:
          title: Inverter Id
          type: string
        from_datetime:
          title: From Datetime
          type: string
        to_datetime:
          title: To Datetime
          type: string
      required:
        - org_id
        - user_id
        - inverter_id
        - from_datetime
        - to_datetime
      title: InverterSchedulesQueryMetadata
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````